package com.google.gson.jf;

import junit.framework.*;

import java.util.*;

public class ExtraAssert {
  public static <T> void assertListEquals(List<T> expecteds, List<T> actuals) {
    TestCase.assertNotNull(expecteds);
    TestCase.assertNotNull(actuals);
    TestCase.assertEquals(expecteds.size(), actuals.size());
    for (int i = 0; i < expecteds.size(); i++) {
      TestCase.assertEquals(expecteds.get(i), actuals.get(i));
    }
  }

  public static class StringArrayBox {
    public String[] collection;
  }

  public static class StringListBox {
    public List<String> collection;
  }

  public static class IntListBox {
    public List<Integer> collection;
  }
}
